%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:           gaupol
Summary:        Subtitle editor
Version:        1.15
Release:        %mkrel 1
License:        GPLv3+
Group:          Video/Editors and Converters
URL:            https://otsaloma.io/gaupol/
Source0:        https://github.com/otsaloma/gaupol/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:	python3-devel
Requires:	%{name}-i18n = %{version}-%{release}
Requires:	python3-gobject3 >= 3.6.0
Requires:	python3-aeidon
# integrated video player
Recommends:	gstreamer1.0-plugins-base
Recommends:	gstreamer1.0-plugins-good
# spell-check
Recommends:	python3-enchant
# character encoding auto-detection
Recommends:	python3-chardet
# translations
Recommends:	iso-codes
# external preview
Recommends:	mplayer

%description
Editor for text-based subtitle files. It supports multiple subtitle file
formats and provides means of correcting texts and timing subtitles to match
video. The user interface is designed with attention to batch processing of
multiple documents and convenience of translating.

%package i18n
Summary:	Internationalization and locale data for gaupol and python-aeidon
Group:		System/Internationalization

%description i18n
Internationalization and locale data for %{name} and python-aeidon.

%package -n python3-aeidon
Summary:	Python package for reading, writing and manipulating text-based subtitle files
Group:		Development/Python
Url:		http://download.gna.org/gaupol/doc/api/aeidon.html
Provides:	aeidon = %{version}-%{release}
Requires:	%{name}-i18n = %{version}-%{release}
Requires:	iso-codes
Recommends:	python3-chardet
Recommends:	python3-enchant

%description -n python3-aeidon
aeidon is a Python package that provides classes and functions for dealing
with text-based subtitle files of many different formats. Functions exist
for reading and writing subtitle files as well as manipulating subtitle data,
i.e. positions (times or frames) and texts.

%prep
%setup -q
%autopatch -p1

%build
%py3_build

%install
%{__python3} setup.py \
	--without-iso-codes \
	clean install \
	--root=%{buildroot} \
	--prefix=%{_prefix} \
	--no-compile

%find_lang %{name}

%files i18n -f %{name}.lang

%files
%license COPYING
%doc AUTHORS.md NEWS.md README.md
%{_bindir}/gaupol
%{python3_sitelib}/gaupol*
%{_datadir}/applications/io.otsaloma.gaupol.desktop
%{_mandir}/man1/gaupol.1*
%dir %{_datadir}/gaupol/
%{_datadir}/gaupol/ui/
%{_datadir}/gaupol/extensions/
%{_datadir}/icons/hicolor/*/apps/io.otsaloma.gaupol{,-symbolic}.*
%{_metainfodir}/io.otsaloma.gaupol.appdata.xml

%files -n python3-aeidon
%license COPYING
%doc README.aeidon.md
%{python3_sitelib}/aeidon/
# aeidon shares data file location with gaupol
%{_datadir}/gaupol/headers/
%{_datadir}/gaupol/patterns/


%changelog
* Mon Aug 26 2024 mrambo3501 <mrambo3501> 1.15-1.mga10
+ Revision: 2091448
- version 1.15

* Fri Dec 29 2023 papoteur <papoteur> 1.13-1.mga10
+ Revision: 2024315
- new version 1.13

* Fri Jan 27 2023 wally <wally> 1.12-1.mga9
+ Revision: 1936514
- new version 1.12

* Sat Apr 23 2022 wally <wally> 1.11-1.mga9
+ Revision: 1852886
- new version 1.11

* Sat Mar 26 2022 umeabot <umeabot> 1.10.1-3.mga9
+ Revision: 1828451
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 1.10.1-2.mga9
+ Revision: 1775278
- rebuild for python-3.10

* Sat Oct 09 2021 wally <wally> 1.10.1-1.mga9
+ Revision: 1750168
- new vesion 1.10.1

* Mon Apr 05 2021 wally <wally> 1.9-2.mga9
+ Revision: 1713636
- rebuild for python 3.9

* Sat Jan 02 2021 wally <wally> 1.9-1.mga8
+ Revision: 1668342
- new version 1.9

* Mon Apr 13 2020 wally <wally> 1.8-1.mga8
+ Revision: 1567208
- new version 1.8

* Sun Feb 16 2020 umeabot <umeabot> 1.7-3.mga8
+ Revision: 1532743
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 1.7-2.mga8
+ Revision: 1442929
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 1.7-1.mga8
+ Revision: 1435302
- new version 1.7

* Tue Jul 09 2019 wally <wally> 1.6-1.mga8
+ Revision: 1419751
- new version 1.6

* Sat Feb 09 2019 wally <wally> 1.5-1.mga7
+ Revision: 1364486
- new version 1.5

* Fri Jan 11 2019 daviddavid <daviddavid> 1.4.1-2.mga7
+ Revision: 1355026
- rebuild for new Python 3.7

* Wed Oct 24 2018 wally <wally> 1.4.1-1.mga7
+ Revision: 1325073
- new version 1.4.1

* Thu Sep 20 2018 umeabot <umeabot> 1.4-2.mga7
+ Revision: 1278398
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 wally <wally> 1.4-1.mga7
+ Revision: 1237453
- new version 1.4

* Mon Dec 04 2017 wally <wally> 1.3.1-1.mga7
+ Revision: 1181216
- new version 1.3.1

* Thu Oct 05 2017 wally <wally> 1.2-1.mga7
+ Revision: 1169208
- new version 1.2

* Sat Aug 05 2017 pterjan <pterjan> 1.0-2.mga7
+ Revision: 1135214
- Rebuild for python 3.6

* Sat Nov 19 2016 wally <wally> 1.0-1.mga6
+ Revision: 1068302
- new version 1.0
- update URL
- update recommends

* Fri Feb 19 2016 umeabot <umeabot> 0.28.2-3.mga6
+ Revision: 970621
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 0.28.2-2.mga6
+ Revision: 887366
- rebuild for python 3.5

* Sun Jun 21 2015 wally <wally> 0.28.2-1.mga6
+ Revision: 837593
- new version 0.28.2

* Tue Oct 28 2014 wally <wally> 0.27-1.mga5
+ Revision: 794067
- new version 0.27

* Wed Oct 15 2014 umeabot <umeabot> 0.26-4.mga5
+ Revision: 749636
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.26-3.mga5
+ Revision: 726277
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.26-2.mga5
+ Revision: 679422
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Sun Jun 22 2014 wally <wally> 0.26-1.mga5
+ Revision: 638620
- new version 0.26

* Sat May 31 2014 pterjan <pterjan> 0.25-3.mga5
+ Revision: 629672
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0.25-2.mga5
+ Revision: 629530
- Rebuild for new Python

* Sat Feb 15 2014 wally <wally> 0.25-1.mga5
+ Revision: 592085
- new version 0.25
- rediff P0
- drop suggests on python3-gtkspellcheck as gaupol now uses gtkspell3

* Tue Oct 22 2013 umeabot <umeabot> 0.24.3-4.mga4
+ Revision: 542567
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.24.3-3.mga4
+ Revision: 497755
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 11 2013 wally <wally> 0.24.3-2.mga4
+ Revision: 495266
- enable bytecompile again

* Sun Oct 06 2013 wally <wally> 0.24.3-1.mga4
+ Revision: 492311
- new version 0.24.3
- disable bytecompile for now

* Tue Sep 24 2013 wally <wally> 0.24.1-1.mga4
+ Revision: 485262
- new version 0.24.1

* Thu Jul 25 2013 wally <wally> 0.24-1.mga4
+ Revision: 458104
- new version 0.24

* Thu Jul 11 2013 wally <wally> 0.23-7.mga4
+ Revision: 453141
- fix strict Gst requires patch

* Mon Jul 08 2013 wally <wally> 0.23-6.mga4
+ Revision: 451465
- add patch to add strict requires to pull gstreamer1.0 pkgs

* Sat Jul 06 2013 wally <wally> 0.23-5.mga4
+ Revision: 450752
- add suggests for python3-gtkspellcheck to gaupol

* Sat Jul 06 2013 wally <wally> 0.23-4.mga4
+ Revision: 450733
- add suggests for python3-enchant to aiedon pkg

* Sat Jul 06 2013 wally <wally> 0.23-3.mga4
+ Revision: 450725
- move iso-codes require to aeidon pkg
- use iso-codes from external pkg
- add suggests for python3-chardet to aeidon pkg

* Fri Jun 28 2013 wally <wally> 0.23-2.mga4
+ Revision: 448107
- add suggests for fonts-ttf-paratype

* Fri Jun 28 2013 wally <wally> 0.23-1.mga4
+ Revision: 448071
- new version 0.23
- split out translations
- move some files from gaupol to aeidon pkg (they really comes from aeidon and pkgs shares data file location)

* Mon Jun 17 2013 wally <wally> 0.22-1.mga4
+ Revision: 444105
- new version 0.22
- switch to python3

* Sun Jan 20 2013 barjac <barjac> 0.19.2-4.mga3
+ Revision: 390247
- update group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 wally <wally> 0.19.2-2.mga3
+ Revision: 268195
- fix python-aeidon url
- clean .spec

* Sun Nov 27 2011 wally <wally> 0.19.2-1.mga2
+ Revision: 172754
- new version 0.19.2

* Thu Sep 08 2011 wally <wally> 0.19.1-1.mga2
+ Revision: 141108
- new version 0.19.1

* Mon Jul 18 2011 wally <wally> 0.19-1.mga2
+ Revision: 125980
- new version 0.19
- enable speech recognition support

* Wed Jun 08 2011 wally <wally> 0.18-1.mga2
+ Revision: 101922
- new version 0.18

* Sun Apr 10 2011 wally <wally> 0.17.2-1.mga1
+ Revision: 82771
- new version 0.17.2

* Sun Jan 16 2011 wally <wally> 0.17.1-1.mga1
+ Revision: 20422
- imported package gaupol


* Sun Nov 07 2010 Jani Välimaa <wally@mandriva.org> 0.17.1-1mdv2011.0
+ Revision: 594692
- new version 0.17.1
- drop obsolete py_requires macro
- disable byte-compiling

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 0.17-2mdv2011.0
+ Revision: 590864
- rebuild for py 2.7

* Sat Aug 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.17-1mdv2011.0
+ Revision: 567460
- update to 0.17
- remove 'mdkversion < 200900' bits, too old
- improve aeidon description

* Sat Jul 10 2010 Jani Välimaa <wally@mandriva.org> 0.16.2-1mdv2011.0
+ Revision: 550055
- new version 0.16.2
- fix requires/suggests
- split aeidon to a separate package

* Wed Mar 24 2010 Jani Välimaa <wally@mandriva.org> 0.15.1-1mdv2010.1
+ Revision: 527161
- enable byte-compiling
- new version 0.15.1

* Sun May 17 2009 Funda Wang <fwang@mandriva.org> 0.15-1mdv2010.0
+ Revision: 376519
- New version 0.15

* Sat May 09 2009 Anssi Hannula <anssi@mandriva.org> 0.14-1mdv2010.0
+ Revision: 373585
- initial Mandriva release (by Jani V?\195?\164limaa)

